Bug 472736 - Update batik to 1.7
Update batik to 1.7
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: batik (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lillian Angel
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 472639
  Show dependency treegraph
 
Reported: 2008-11-24 04:23 EST by Nicolas Chauvet (kwizart)
Modified: 2009-01-05 14:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-05 14:10:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Improved spec file with bundled jar removed (4.49 KB, patch)
2008-11-24 17:53 EST, Nicolas Chauvet (kwizart)
no flags Details | Diff

  None (edit)
Description Nicolas Chauvet (kwizart) 2008-11-24 04:23:32 EST
Description of problem: the batik version used in Fedora is not up to date.
batik will be used within scilab 5.0.3. Hence, it would be fine to update batik to the last version (at least in F-10)
Comment 1 Lillian Angel 2008-11-24 11:24:27 EST
Batik in F-9 and F-10 is up-to-date with the latest 1.7 release posted here: http://xmlgraphics.apache.org/batik/download.cgi
Comment 2 Nicolas Chauvet (kwizart) 2008-11-24 17:50:49 EST
I don't see where it is mentioned it is still a beta.
release should be >= 1 IMO.

There are others problems with this package, one of them is that the source archive bundles jar files. This is forbidden by our guidelines.
Current package:
http://koji.fedoraproject.org/koji/taskinfo?taskID=948273
    [javac] 576 problems (576 warnings)

Improved package:
http://koji.fedoraproject.org/koji/taskinfo?taskID=948813
    [javac] 56 warnings

The build.log looks very different, you might want to cherry pick some improvements. If you have something you don't understand with the changes I've made feel free to ask, I do think the spec can be even more improved.
(some move are blind changes, they wasn't experienced enough, for example the -Dsun-codecs.present=false addition )

Patch for the spec file attached.
Comment 3 Nicolas Chauvet (kwizart) 2008-11-24 17:53:08 EST
Created attachment 324548 [details]
Improved spec file with bundled jar removed
Comment 4 Bug Zapper 2008-11-26 00:50:33 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Lillian Angel 2009-01-05 13:24:59 EST
Thanks for the patch, I will apply it to the rawhide branch.

Note You need to log in before you can comment on or make changes to this bug.